<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucFeaturedProducts.ascx.cs" Inherits="Browse_Controls_ucFeaturedProducts" %>
<table border="0" width="100%">
    <tr>
        <td style="width:100%; background-color:Blue; font-family:Verdana; font-size:9pt; font-style:italic; color:White; font-weight:bold" valign="top">Featured Products</td>
    </tr>
    <tr>
        <td style="width:100%" align="left" valign="top">
            <asp:DataList ID="dlProducts" RepeatColumns="3" runat="server" Width="100%" OnItemCommand="dlProducts_ItemCommand">
                <AlternatingItemStyle  />
                <ItemStyle Width="33.3%" />
                <ItemTemplate>
                    <table style="width:100%">
                            <tr>
                                <td style="width:100%">
                                    <table style="width:100%">
                                        <tr>
                                            <td style="width:95%;font-family:Microsoft Sans Serif; font-size:8pt; font-style:normal; font-weight:bolder; color:Black" align="center" valign="top">
                                                <asp:Label ID="lblProductName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name")%>'></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width:95%; background-color:White; font-family:Verdana; font-size:8pt; font-style:normal; color:Black" align="center" valign="top">
                                            <a href='<%#DataBinder.Eval(Container.DataItem,"ID","/EPostalServicesNetwork/Browse/frmProductDetails.aspx?PID={0}")%>'>
                                                <img id="Img1" alt='<%#DataBinder.Eval(Container.DataItem,"Name")%>' src='<%#DataBinder.Eval(Container.DataItem,"Image","/EPostalServicesNetwork/Browse/Images/{0}")%>' style="border-width:0" width="75" height="75" runat="server" /></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width:95%; background-color:White; font-family:Verdana; font-size:9pt; font-style:normal; color:Black" align="center" valign="top">
                                                Price: <asp:Label ID="lblPrice" Font-Bold="true" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SalePrice","$ {0}")%>'></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width:95%; background-color:White; font-family:Verdana; font-size:9pt; font-style:normal; color:Blue" align="center" valign="top">
                                                <asp:ImageButton ID="ibtnBuy" runat="server" AlternateText="Buy Now" CommandName="Buy" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>' ImageUrl="/EPostalServicesNetwork/Browse/Images/addtocart.gif" />
                                                <asp:ImageButton ID="ibtnDetail" Visible="false" runat="server" AlternateText="Detail" CommandName="Detail" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>' ImageUrl="/EPostalServicesNetwork/Browse/Images/addtocart.gif" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td valign="top">
                                    <img id="Img2" alt="" src="~/Browse/Images/vline.gif" runat="server" />
                                </td>
                            </tr>
                        </table>
                </ItemTemplate>
            </asp:DataList>
        </td>
    </tr>
    <tr>
        <td style="width:100%; background-color:White; font-family:Verdana; font-size:9pt; font-style:normal; color:Blue;" align="right" valign="top">
            <a href='/EPostalServicesNetwork/Browse/frmAllFeaturedProducts.aspx'>more featured products ...</a>
        </td>
    </tr>

</table>