<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucLogin.ascx.cs" Inherits="Registration_Controls_ucLogin" %>
<table style="width:100%">
    <tr>
        <td colspan="3" valign="top" style="width:100%; background-color:Blue; font-family:Verdana; font-size:9pt; font-style:italic; color:White; font-weight:bold">Login Form</td>
    </tr>
    <tr>
        <td>Username</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td>
            <asp:TextBox ID="txtUName" runat="server" MaxLength="50"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvUname" runat="server" ControlToValidate="txtUName" ErrorMessage="Username Required" Text="*" ToolTip="Enter Username(EmailID)"></asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="revUserName" runat="server" ErrorMessage="Invalid Username" Text="*" Display="Static" ToolTip="Enter Email ID as Username" ControlToValidate="txtUName" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>

        </td>
    </tr>
    <tr>
        <td>Password</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td>
            <asp:TextBox ID="txtPassword" runat="server" MaxLength="20" TextMode="Password"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ControlToValidate="txtPassword" ErrorMessage="Password Required" Text="*" ToolTip="Enter Password"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td align="left" colspan="3" valign="top">
            <asp:Label ID="lblMsg" runat="server" Font-Bold="true" Font-Italic="True" ForeColor="Red"></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width:100%;" colspan="3" align="left" valign="top">
            <asp:Button ID="IBtnSignIN" runat="server" Text="Sign In" OnClick="IBtnSignIN_Click" />
            <asp:Button ID="IBtnForgetPassword" runat="server" Text="Forget Password" Visible="False" />
        </td>
    </tr>  
    <tr>
        <td colspan="3">
            <div>Don't have Account?<br />
            Having an account will make you shop faster and order tracking easier.<br />
            Click here to <a href='/EPostalServicesNetwork/Registration/frmRegistration.aspx'><b>Sign Up</b></a> now.
            
            </div>
        </td>
    </tr>
</table>