<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucRegistration.ascx.cs" Inherits="Registration_Controls_ucRegistration" %>
<%@ Register Assembly="GMDatePicker" Namespace="GrayMatterSoft" TagPrefix="cc1" %>
<table style="width:100%" cellpadding="3">
    <tr>
        <td style="width:100%; height:50; background-color:Silver; color:Black; font-family:Verdana; font-size:12pt; font-style:italic; font-weight:bolder" colspan="3" align="left" valign="top">User Registration</td>
    </tr>
    <tr>
        <td align="left" colspan="3" valign="top">
            <asp:Label ID="lblMsg" runat="server" Font-Bold="true" Font-Italic="True" ForeColor="Red"></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width:100%; background-color:Blue; color:White; font-family:Verdana; font-size:10pt; font-style:italic; font-weight:bolder" colspan="3" align="left" valign="top">Account Details</td>
    </tr>
    <tr>
        <td>UserName</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtUserName" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ErrorMessage="Username Required" Text="*" Display="Static" ToolTip="Enter Username" ControlToValidate="txtUserName"></asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="revUserName" runat="server" ErrorMessage="Invalid Username" Text="*" Display="Static" ToolTip="Enter Email ID as Username" ControlToValidate="txtUserName" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td style="width:100%; font-family:Verdana; font-size:8pt; font-style:italic; font-weight:normal" colspan="3" align="left" valign="top">(Enter EmailID as UserName)</td>
    </tr>
    <tr>
        <td>Password</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtPassword" TextMode="Password" runat="server" MaxLength="20"></asp:TextBox>(max 20 chars)
            <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ErrorMessage="Password Required" Text="*" Display="Static" ToolTip="Enter Username" ControlToValidate="txtPassword"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td style="height: 30px">Confirm Password</td>
        <td align="center" style="width:2%; height: 30px;"><b>:</b></td>
        <td align="left" style="height: 30px">
            <asp:TextBox ID="txtConfirmPassword" TextMode="Password" runat="server" MaxLength="20"></asp:TextBox>
            <asp:CompareValidator ID="cvPassword" runat="server" ControlToValidate="txtConfirmPassword" ControlToCompare="txtPassword" Display="Static" ErrorMessage="Password Mismatch" ToolTip="Re-enter password for confirmation">*</asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td>Hint Question</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:DropDownList ID="ddlHintQuestion" runat="server"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>Answer</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtAnswer" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td style="width:100%;" colspan="3" align="center" valign="top">&nbsp;</td>
    </tr>  
    <tr>
        <td style="width:100%; background-color:Blue; color:White; font-family:Verdana; font-size:10pt; font-style:italic; font-weight:bolder" colspan="3" align="left" valign="top">Personal Details</td>
    </tr>  
    <tr>
        <td>FirstName</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtFName" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvFName" runat="server" ErrorMessage="Firstname Required" Text="*" Display="Static" ToolTip="Enter Firstname" ControlToValidate="txtFName"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>LastName</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtLName" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>Birth Date</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <cc1:gmdatepicker id="GMDateDOB" runat="server" imageurl="/EPostalServicesNetwork/Registration/Images/show-calendar.gif"
                DateFormat="dd-MMM-yyyy" CalendarWidth="188px" CalendarTheme="Blue" YearDropDownRange="200" TextBoxWidth="80" MaxDate="9999-12-31" InitialValueMode="Null"></cc1:gmdatepicker>
        </td>
    </tr>
    <tr>
        <td>Gender</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:DropDownList ID="ddlGender" runat="server"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>Alternate Email ID</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtEmailID" runat="server"></asp:TextBox>
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ErrorMessage="Invalid Email ID" Text="*" Display="Static" ToolTip="Enter Alternate Email ID" ControlToValidate="txtEmailID" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td>Contact No.</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtContact" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td style="width:100%;" colspan="3" align="center" valign="top">&nbsp;</td>
    </tr>  
    <tr>
        <td style="width:100%; background-color:Blue; color:White; font-family:Verdana; font-size:10pt; font-style:italic; font-weight:bolder" colspan="3" align="left" valign="top">Contact Address</td>
    </tr>  
    <tr>
        <td>Address</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtAddress" TextMode="MultiLine" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>Country</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:DropDownList ID="ddlCountry" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlSCountry_SelectedIndexChanged"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>State</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:DropDownList ID="ddlState" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlSState_SelectedIndexChanged"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>City</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:DropDownList ID="ddlCity" runat="server"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td valign="top">Zipcode</td>
        <td align="center" style="width:2%"><b>:</b></td>
        <td align="left">
            <asp:TextBox ID="txtZip" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td style="width:100%;" colspan="3" align="center" valign="top">
        </td>
    </tr>  
    <tr>
        <td style="width:100%;" colspan="3" align="center" valign="top">
            <asp:Button ID="IBtnRegister" runat="server" Text="Register" OnClick="IBtnRegister_Click" />
        </td>
    </tr>  
</table> 