<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucProductList.ascx.cs" Inherits="Admin_CatalogManagement_Controls_ucProductList" %>
<table style="width:100%; border:0" cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:100%" align="left">
            <asp:LinkButton ID="lbtnAddRecord" Text="Add New Record" runat="server" OnClick="lbtnAddRecord_Click"></asp:LinkButton>
        </td>
    </tr>
    <tr>
        <td style="width:100%" align="left">
            <span style="width:100%; background-color:Blue; color:White; font-family:Verdana; font-size:10pt; font-weight:bolder">Product List</span>
            <asp:Panel ID="pnlProductList" runat="server" ScrollBars="None" Width="100%">
                <asp:DataList ID="dlResult" runat="server" RepeatColumns="1" Width="100%">
                    <HeaderStyle BackColor="Navy" />
                    <ItemStyle BackColor="ActiveBorder" />
                    <AlternatingItemStyle BackColor="ButtonFace" />
                    <HeaderTemplate>
                        <table style="width:100%; border:0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="width:30%; font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Product Name
                                </td>
                                <td style="width:20%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Brand Name
                                </td>
                                <td style="width:15%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Category
                                </td>
                                <td style="width:10%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Purchase Price ($)
                                </td>
                                <td style="width:10%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Sale Price ($)
                                </td>
                                <td style="width:5%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                    Stock
                                </td>
                                <td style="width:5%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                </td>
                                <td style="width:5%;font-family:Verdana; font-size:10pt; font-stretch:wider; color:White; font-weight:bolder" align="left">
                                </td>
                            </tr>
                        </table>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <table style="width:100%; border:0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="width:30%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <div>
                                        <asp:Label ID="lblProductName" runat="server" Font-Bold="true" Font-Names="verdana" Font-Size="10pt" Text='<%DataBinder.Eval(Container.DataItem,"Name")%>'></asp:Label>
                                        <br />
                                        <img id="imgProduct" alt='<%DataBinder.Eval(Container.DataItem,"Description")%>' src='<%DataBinder.Eval(Container.DataItem,"Image","~/Browse/Images/{0}")%>' runat="server" />
                                    </div>
                                </td>
                                <td style="width:20%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <img id="imgBrand" alt='<%DataBinder.Eval(Container.DataItem,"BrandName")%>' src='<%DataBinder.Eval(Container.DataItem,"BrandImage","~/Browse/Images/{0}")%>' runat="server" />                                </td>
                                <td style="width:15%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <img id="imgCategory" alt='<%DataBinder.Eval(Container.DataItem,"CategoryName")%>' src='<%DataBinder.Eval(Container.DataItem,"CategoryImage","~/Browse/Images/{0}")%>' runat="server" />                                </td>
                                </td>
                                <td style="width:10%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <asp:Label ID="lblPurchasePrice" runat="server" Font-Names="verdana" Font-Size="9pt" Text='<%DataBinder.Eval(Container.DataItem,"PurchasePrice")%>'></asp:Label>
                                </td>
                                <td style="width:10%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <asp:Label ID="lblSalePrice" runat="server" Font-Names="verdana" Font-Size="9pt" Text='<%DataBinder.Eval(Container.DataItem,"SalePrice")%>'></asp:Label>
                                </td>
                                <td style="width:5%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <asp:Label ID="lblStock" runat="server" Font-Names="verdana" Font-Size="9pt" Text='<%DataBinder.Eval(Container.DataItem,"QOH")%>'></asp:Label>
                                </td>
                                <td style="width:5%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <asp:ImageButton ID="IBtnEdit" AlternateText="Edit" ImageUrl="" runat="server" />
                                </td>
                                <td style="width:5%; font-family:Verdana; font-size:9pt; color:Black;" align="left">
                                    <asp:ImageButton ID="IBtnDelete" AlternateText="Delete" ImageUrl="" runat="server" />
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                </asp:DataList> 
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td style="width:100%;" align="left">
            <asp:Panel ID="pnlProduct" runat="server" ScrollBars="None" Width="100%">
                <table style="width:100%; border:0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td style="width:100%; font-family:Verdana; font-size:10pt; background-color:Blue; font-stretch:wider; color:White; font-weight:bolder" align="left" colspan="3">
                            <asp:Label ID="lblPanel2Header" Text="Add New Record" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="width:100%; font-family:Verdana; font-size:9pt;" align="center" colspan="3">
                            <br />
                            <br />
                            <asp:Label ID="Label1" Text="(*) denotes required fields" ForeColor="Red" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%">Product Name<span style="color:red">*</span></td>
                        <td align="center" style="width:2%"><b>:</b></td>
                        <td align="left" style="width:49%">
                            <asp:TextBox ID="txtProductName" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvProductName" ControlToValidate="txtProductName" ErrorMessage="Required" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%">Description</td>
                        <td align="center" style="width:2%"><b>:</b></td>
                        <td align="left" style="width:49%">
                            <asp:TextBox ID="txtDescription" runat="server" TextMode="MultiLine"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%; height: 24px;">PurchasePrice</td>
                        <td align="center" style="width:2%; height: 24px;"><b>:</b></td>
                        <td align="left" style="width:49%; height: 24px;">
                            <asp:TextBox ID="txtPurchasePrice" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%">Sale Price<span style="color:red">*</span></td>
                        <td align="center" style="width:2%"><b>:</b></td>
                        <td align="left" style="width:49%">
                            <asp:TextBox ID="txtSalePrice" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" ControlToValidate="txtProductName" ErrorMessage="Required" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%; height: 36px;">Choose Brand Name<span style="color:red">*</span></td>
                        <td align="center" style="width:2%; height: 36px;"><b>:</b></td>
                        <td align="left" style="width:49%; height: 36px;">
                            <asp:DropDownList ID="ddlBrand" runat="server"></asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%; height: 24px;">Choose Category Name<span style="color:red">*</span></td>
                        <td align="center" style="width:2%; height: 24px;"><b>:</b></td>
                        <td align="left" style="width:49%; height: 24px;">
                            <asp:DropDownList ID="ddlCategory" runat="server"></asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td align="right" style="width:49%">Offer Price</td>
                        <td align="center" style="width:2%"><b>:</b></td>
                        <td align="left" style="width:49%">
                            <asp:TextBox ID="txtOfferPrice" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3"></td>
                    </tr>
                    <tr>
                        <td colspan="3"></td>
                    </tr>
                    <tr>
                        <td colspan="3"></td>
                    </tr>
                    <tr>
                        <td colspan="3" align="center">
                            <asp:Button ID="btnAddProductAttrributes" Text="Add Product Attributes" runat="server" />
                            <asp:Button ID="btnBack" Text="Back To Product List" runat="server" />                            
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td style="width:100%" align="left">
            <asp:Panel ID="pnlAddAttributes" Width="100%" ScrollBars="None" runat="server">
                <table style="width:100%;">
                    <tr>
                        <td colspan="3" style="width:100%; background-color:Blue; color:White; font-family:Verdana; font-size:10pt; font-weight:bolder">
                            Add Product Attributes
                        </td>
                    </tr>
                    <tr>
                        <td align="right" valign="top">
                            <asp:ListBox ID="listAttributes" SelectionMode="Multiple" runat="server"></asp:ListBox>
                        </td>
                        <td align="center" valign="top">
                            <asp:Button ID="btnSelectAll" Text=" >> " runat="server" /><br />
                            <asp:Button ID="btnSelect" Text=" > " runat="server" /><br />
                            <asp:Button ID="btnDeselect" Text=" < " runat="server" /><br />
                            <asp:Button ID="btnDeselectAll" Text=" << " runat="server" /><br />
                        </td>
                        <td align="left" valign="top">
                            <asp:ListBox ID="listSelectedAttributes" SelectionMode="Multiple" runat="server"></asp:ListBox>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
    </tr>
</table>