using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CompNetwork.BL;
public partial class Browse_Controls_ucHotSellingProducts : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds;
        if (!Page.IsPostBack)
        {
            ds = ProductController.GetHotSellingProducts();
            if (ds.Tables[0].Rows.Count > 0)
            {
                dlProducts.DataSource = ds;
                dlProducts.DataBind();
            }
        }
    }
    protected void dlProducts_ItemCommand(object source, DataListCommandEventArgs e)
    {
        Int32 PID = 0, Qty = 1;
        decimal price = 0;
        Object obj;
        Label lbl;
        string SID = Session.SessionID;
        Session["SID"] = SID;
        PID = int.Parse(e.CommandArgument.ToString());
        //Obtaining product Price.
        obj = e.Item.FindControl("lblPrice");
        if (obj != null)
        {
            lbl = (Label)obj;
            price = decimal.Parse(lbl.Text.Replace("$", ""));
        }
        if (e.CommandName == "Buy")
        {
            try
            {
                ShoppingCart.AddCartItem(Session["SID"].ToString(), PID, price, Qty);
                Response.Redirect("~/cart/frmShoppingCart.aspx?SID=" + Session["SID"].ToString());
            }
            catch 
            {
                //lblMsg.Text = ex.Message;
            }
            Response.Redirect("~/Cart/frmShoppingCart.aspx");
        }
        if (e.CommandName == "Detail")
        {
            Response.Redirect("~/Browse/frmProductDetails.aspx?PID=" + e.CommandArgument.ToString());
        }
    }
}
