<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucProductDetails.ascx.cs" Inherits="Browse_Controls_ucProductDetails" %>
<%@ Register Src="ucProductFeatures.ascx" TagName="ucProductFeatures" TagPrefix="uc1" %>
<table border="0" width="100%">
    <tr>
        <td colspan="2" style="font-family:Verdana; font-size:11pt; font-stretch:wider; background-color:Blue; color:White; font-weight:bold">
        &nbsp;Product Details
        </td>
    </tr>
     <tr>
        <td align="center" colspan="2">
            <asp:Label ID="lblMsg" runat="server" ForeColor="Red"></asp:Label>
        </td>
    </tr>
    <tr>
        <td valign="top" style="width:100%">
            <asp:DataList ID="dlProduct" RepeatColumns="1" runat="server" OnItemCommand="dlProduct_ItemCommand" width="100%" OnItemDataBound="dlProduct_ItemDataBound">
                <ItemTemplate>
                    <asp:Label ID="lblPID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ID")%>' Visible="false"></asp:Label>
                    <table>
                        <tr>
                            <td colspan="3">
                                <asp:Label ID="lbl" runat="server" ForeColor="Black" BackColor="Silver" Font-Bold="true" Text='<%#DataBinder.Eval(Container.DataItem,"Name")%>'></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" valign="top">
                                <img alt='<%#DataBinder.Eval(Container.DataItem,"Name")%>' src='<%#DataBinder.Eval(Container.DataItem,"Image","/EPostalServicesNetwork/Browse/Images/{0}")%>' style="width:200; height:175; border:0"/></a>
                            </td>
                            <td style="width:1%" align="left"></td>
                            <td align="left" valign="top">
                            <table>
                                    <tr>
                                        <td align="left" valign="top">
                                            <asp:Label ID="lblTitlePrice" Text="Price:" runat="server"></asp:Label> 
                                        </td>
                                        <td valign="top"><b></b></td>
                                        <td valign="top">
                                            <asp:Label ID="lblPrice" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SalePrice","${0}")%>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left" style="text-align:justify" valign="top">
                                            <asp:Label ID="lblTitleOfferPrice" Text="Offer Price:" runat="server"></asp:Label> 
                                        </td>
                                        <td valign="top"><b></b></td>
                                        <td valign="top">
                                            <asp:Label ID="lblOfferPrice" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"OfferPrice","${0}")%>'></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left" valign="top">
                                            <asp:Label ID="lblRating" runat="server" Text="Rating:"></asp:Label> 
                                        </td>
                                        <td valign="top"><b></b></td>
                                        <td valign="top">
                                            <asp:Image ID="imgProductRating" Visible="false" runat="server" AlternateText="Not Rated" />
                                            <asp:literal id="ltlAvgRating" runat="server">
									        </asp:literal>
                                        </td>
                                    </tr>
                                    <tr>
                                       <td align="left" valign="top" colspan="3">
                                            <asp:Label ID="Label1" runat="server" Font-Bold="true" Font-Names="verdana" Font-Size="10pt" BackColor="Silver" ForeColor="Black" Text="Product Features"></asp:Label>
                                        </td> 
                                    </tr>
                                    <tr>
                                       <td align="left" valign="top" colspan="3">
                                            <uc1:ucProductFeatures ID="UcProductFeatures1" runat="server" />
                                        </td> 
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" valign="top" colspan="3">
                                <asp:Label ID="lblAboutProduct" runat="server" Font-Bold="true" Font-Names="verdana" Font-Size="10pt" BackColor="Silver" ForeColor="Black" Text="About Product"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" valign="top" colspan="3">
                                <div style="text-align:justify"><%#DataBinder.Eval(Container.DataItem,"Description")%></div>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" valign="top" colspan="3">
                                <asp:ImageButton ID="btnAddToCart" ImageURL="~/Browse/Images/addtocart.gif" runat="server" CommandName="Buy" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>'></asp:ImageButton> 
                                <asp:ImageButton ID="btnRateProduct" Visible="false" ImageURL="~/Browse/Images/reviews.gif" runat="server" CommandName="RateProduct" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>'></asp:ImageButton>&nbsp; 
                                <asp:ImageButton ID="btnAddToWishList" Visible="false" ImageURL="~/Browse/Images/addtowishlist.gif" runat="server" CommandName="AddToWishList" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>'></asp:ImageButton>&nbsp; 
                                <asp:ImageButton ID="btnReferToFriend" Visible="false" ImageURL="~/Browse/Images/addtowishlist.gif" runat="server" CommandName="ReferToFriend" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ID")%>'></asp:ImageButton>&nbsp;                                             
                            </td>
                       </tr>
                    </table>
                </ItemTemplate>
            </asp:DataList>
        </td>
        <td valign="top">
            <table style="width:100%;">
                <tr>
                    <td style="width: 5px" valign="top">
                        <img alt="ads" runat="server" src="~/Browse/Images/visa.gif" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>