using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CompNetwork.BL;

public partial class Browse_Controls_ucProductFeatures : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds;
        int PID;
        if (!Page.IsPostBack)
        {
            lblMsg.Text = "";
            if (Request["PID"] != null)
            {
                if (Int32.TryParse(Request["PID"], out PID))
                {
                    ds = ProductController.GetProductFeaturesByProductID(PID);
                    if (ds.Tables[0].Rows.Count == 0)
                    {
                        lblMsg.Text = "No Features available for this Products.";
                        dlProductFeatures.Visible = false;
                    }
                    else
                    {
                        dlProductFeatures.DataSource = ds;
                        dlProductFeatures.DataBind();
                        dlProductFeatures.Visible = true;
                    }
                }
                else
                {
                    lblMsg.Text = "Invalid Product ID.";
                }
            }
            else
            {
                lblMsg.Text = "Product ID Not Provided.";
            }
        }
    }
}
