<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ucShoppingCart.ascx.cs"
    Inherits="ucShoppingCart" %>
<table border="0" cellpadding="2" cellspacing="0" style="width: 100%">
    <tr>
        <td style="width: 100%; background-color: Blue; color: White; font-family: Verdana;
            font-size: 11pt; font-weight: bolder; font-stretch: wider" colspan="6">
            &nbsp;<b>Your Shopping Cart</b>
        </td>
    </tr>
    <tr>
        <td style="width: 100%" colspan="6">
            <br />
            <asp:DataList ID="dlCart" runat="server" Width="100%" RepeatColumns="1">
                <HeaderStyle BackColor="Black" Font-Bold="true" Font-Names="Verdana" Font-Size="10pt"
                    ForeColor="white" />
                <AlternatingItemStyle BackColor="AliceBlue" Font-Bold="false" Font-Names="Verdana"
                    Font-Size="8pt" ForeColor="Blue" />
                <ItemStyle BackColor="Gray" Font-Bold="false" Font-Names="Verdana" Font-Size="8pt"
                    ForeColor="Black" />
                <HeaderTemplate>
                    <table style="width: 100%">
                        <tr>
                            <td style="width: 5%" align="left">
                            </td>
                            <td style="width: 60%; color: White; font-family: Verdana; font-size: 10pt; font-weight: bolder"
                                align="left">
                                Product</td>
                            <td style="width: 10%; color: White; font-family: Verdana; font-size: 10pt; font-weight: bolder"
                                align="left">
                                Price</td>
                            <td style="width: 10%; color: White; font-family: Verdana; font-size: 10pt; font-weight: bolder"
                                align="left">
                                Quantity</td>
                            <td style="width: 15%; color: White; font-family: Verdana; font-size: 10pt; font-weight: bolder"
                                align="left">
                                TotalAmount</td>
                        </tr>
                    </table>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblSessionID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SessionID")%>'
                        Visible="false"></asp:Label>
                    <asp:Label ID="lblProductID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductID")%>'
                        Visible="false"></asp:Label>
                    <table width="100%">
                        <tr>
                            <td style="width: 5%" align="left" valign="middle">
                                <asp:CheckBox ID="chkbox" runat="server"></asp:CheckBox>
                            </td>
                            <td style="width: 60%" align="left" valign="middle">
                                <table style="width: 100%; border: 1; padding: [1][1][1][3]">
                                    <tr>
                                        <td align="left" valign="middle">
                                            <a href='<%#DataBinder.Eval(Container.DataItem,"ProductID","/EPostalServicesNetwork/Browse/frmProductDetails.aspx?PID={0}")%>'>
                                                <img id="Img1" alt='<%#DataBinder.Eval(Container.DataItem,"Description")%>' src='<%#DataBinder.Eval(Container.DataItem,"Image","/EPostalServicesNetwork/Browse/Images/{0}")%>'
                                                    runat="server" style="border: 0" width="100" height="50" />
                                            </a>
                                        </td>
                                        <td align="left" valign="middle">
                                            <asp:Label ID="lblPName" runat="server" Font-Names="verdana" Font-Size="8pt" Text='<%#DataBinder.Eval(Container.DataItem,"Name")%>'></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 10%" align="left" valign="middle">
                                <asp:Label ID="lblPrice" runat="server" Font-Names="verdana" Font-Size="8pt" Text='<%#DataBinder.Eval(Container.DataItem,"Price","${0}")%>'></asp:Label>
                            </td>
                            <td style="width: 10%" align="left" valign="middle">
                                <asp:TextBox ID="txtQty" Width="30" Font-Names="verdana" Font-Size="8pt" BorderStyle="Solid"
                                    BorderColor="Black" runat="server" MaxLength="2" Text='<%#DataBinder.Eval(Container.DataItem,"Quantity")%>'></asp:TextBox>
                            </td>
                            <td style="width: 15%" align="left" valign="middle">
                                <asp:Label ID="lblTotAmt" runat="server" Font-Names="verdana" Font-Size="8pt" Text='<%#DataBinder.Eval(Container.DataItem,"TotalAmount","${0}")%>'></asp:Label>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:DataList>
        </td>
    </tr>
    <tr>
        <td style="width: 100%" align="right" colspan="5">
            &nbsp;<asp:Label ID="lblTotal" runat="server" BorderColor="Goldenrod" Font-Bold="True"
                Font-Names="Verdana" Font-Size="10pt" ForeColor="#400000"></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width: 100%" align="center" colspan="5">
            <asp:Label ID="lblMsg" runat="server" ForeColor="Red" Text=""></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width: 100%" align="Center" colspan="5">
            <br />
            <asp:Button ID="ibtnSelectAll" CssClass="button" Text="Select All" runat="server"
                OnClick="ibtnSelectAll_Click1" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Button ID="ibtnRemove" CssClass="button" Text="Remove" runat="server" OnClick="ibtnRemove_Click1" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Button ID="ibtnUpdateCart" CssClass="button" Text="Update Cart" runat="server"
                OnClick="ibtnUpdateCart_Click1" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Button ID="ibtnShopMore" CssClass="button" Text="Shop More" runat="server" OnClick="ibtnShopMore_Click" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Button ID="ibtnCheckOut" CssClass="button" Text="Checkout" runat="server" OnClick="ibtnCheckOut_Click1" />
        </td>
    </tr>
</table>
