using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CompNetwork.BL;

public partial class Registration_Controls_ucLogin : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void IBtnSignIN_Click(object sender, EventArgs e)
    {
        string uname = "", password = "";
        //checking username
        if (txtUName.Text.Trim() == "")
        {
            lblMsg.Text = "Enter Username";
            return;
        }
        else
            uname = txtUName.Text.Trim();
        //checking Password
        if (txtPassword.Text.Trim() == "")
        {
            lblMsg.Text = "Enter Password";
            return;
        }
        else
            password = txtPassword.Text.Trim();

        int status=UserController.AuthenticateUser(uname, password);
        if (status >= 1)
        {
            string role = UserController.GetRoleByUsername(uname);
            Session["Role"] = role;
            FormsAuthentication.Initialize();
            FormsAuthenticationTicket ticket = new FormsAuthenticationTicket(1, uname, DateTime.Now, DateTime.Now.AddMinutes(50), false, Session["Role"].ToString(), FormsAuthentication.FormsCookiePath);
            String encryptedticket = FormsAuthentication.Encrypt(ticket);
            HttpCookie authcookie = new HttpCookie(FormsAuthentication.FormsCookieName, encryptedticket);
            Response.Cookies.Add(authcookie);
            if (role.Equals("Admin"))
                Response.Redirect("~/Admin/Default.aspx");
            FormsAuthentication.RedirectFromLoginPage(uname, false);
        }
        else
            lblMsg.Text = "Either Username or password is wrong";
    }
}
